# $Revision: 1.122.2.1 $, $Date: 2011/06/17 08:08:48 $
Summary:	API documentation browser for GNOME
Summary(pl.UTF-8):	Przeglądarka dokumentacji API dla GNOME
Name:		devhelp
Version:	2.32.0
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/devhelp/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	c6690a45609caa00ecd9cd92f7d28915
Patch0:		%{name}-bookdir.patch
URL:		http://www.imendio.com/projects/devhelp/
BuildRequires:	GConf2-devel >= 2.24.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-webkit-devel >= 1.1.13
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libunique-devel >= 1.0
BuildRequires:	libwnck-devel >= 2.24.0
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	zlib-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2 >= 2.20.0
Requires:	%{name}-libs = %{version}-%{release}
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
API documentation browser for GNOME.

%description -l pl.UTF-8
Przeglądarka dokumentacji API dla GNOME.

%package libs
Summary:	Library to embed Devhelp in other applications
Summary(pl.UTF-8):	Biblioteka do osadzania Devhelp w innych aplikacjach
Group:		X11/Libraries

%description libs
Library of Devhelp for embedding into other applications.

%description libs -l pl.UTF-8
Biblioteka Devhelp do osadzania w innych aplikacjach.

%package devel
Summary:	Headers for Devhelp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Devhelp
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libwnck-devel >= 2.24.0

%description devel
Headers for Devhelp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Devhelp.

%package static
Summary:	Static Devhelp library
Summary(pl.UTF-8):	Statyczna biblioteka Devhelp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Devhelp library.

%description static -l pl.UTF-8
Statyczna biblioteka Devhelp.

%package -n gedit2-plugin-devhelp
Summary:	Devhelp plugin for Gedit editor
Summary(pl.UTF-8):	Wtyczka devhelpa dla edytora Gedit
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gedit2

%description -n gedit2-plugin-devhelp
Plugin that allows to browse API documentation in Gedit.

%description -n gedit2-plugin-devhelp -l pl.UTF-8
Wtyczka umożliwiająca przeglądanie dokumentacji API w edytorze Gedit.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--disable-schemas-install \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{books,specs}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins/%{name}/*.py
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdevhelp-2.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install devhelp.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall devhelp.schemas

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/devhelp
%{_datadir}/%{name}
%{_desktopdir}/devhelp.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_sysconfdir}/gconf/schemas/devhelp.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdevhelp-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdevhelp-2.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdevhelp-2.so
%{_pkgconfigdir}/libdevhelp-2.0.pc
%{_includedir}/devhelp-2.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libdevhelp-2.a

%files -n gedit2-plugin-devhelp
%defattr(644,root,root,755)
%dir %{_libdir}/gedit-2/plugins/%{name}
%{_libdir}/gedit-2/plugins/%{name}.gedit-plugin
%{_libdir}/gedit-2/plugins/%{name}/*.py[oc]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: devhelp.spec,v $
Revision 1.122.2.1  2011/06/17 08:08:48  lisu
- dropped libtool file
- rel 3

Revision 1.122  2011/03/26 12:43:14  qboosh
- better gedit2-plugin desc

Revision 1.121  2011/03/26 12:41:52  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.120  2011/02/04 18:23:41  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.119  2010/09/30 20:32:32  megabajt
- updated to 2.32.0 (new soname)

Revision 1.118  2010/06/21 15:02:40  megabajt
- updated to 2.30.1

Revision 1.117  2010/04/01 13:38:39  megabajt
- updated to 2.30.0

Revision 1.116  2010/02/10 17:42:11  megabajt
- release 4

Revision 1.115  2009/11/12 12:55:51  patrys
- BR: libunique-devel

Revision 1.114  2009/11/12 12:02:29  patrys
- rebuild
- rel 2

Revision 1.113  2009/10/20 18:34:49  megabajt
- updated to 2.28.1

Revision 1.112  2009/10/07 20:57:15  megabajt
- updated to 2.28.0.1 (new soname)

Revision 1.111  2009/06/17 15:03:43  hawk
- release 4

Revision 1.110  2009/05/15 13:13:18  hawk
- release 3

Revision 1.109  2009/03/18 11:59:43  patrys
- rel 2

Revision 1.108  2009/01/21 17:45:36  megabajt
- updated source url

Revision 1.107  2009/01/21 17:43:58  megabajt
- updated to 0.23

Revision 1.106  2009/01/04 02:06:23  sls
- BR: rpm-pythonprov

Revision 1.105  2008/12/17 18:07:11  hawk
- release 3

Revision 1.104  2008/12/07 13:24:54  hawk
- release 2

Revision 1.103  2008/12/03 19:38:30  megabajt
- updated to 0.22; the first release with WebKit engine
- removed obsolete -libxul.patch and -mozilla_includes.patch

Revision 1.102  2008/11/13 17:57:16  arekm
- release 3

Revision 1.101  2008/11/10 15:02:48  megabajt
- release 2

Revision 1.100  2008/10/10 07:51:50  megabajt
- updated to 0.21

Revision 1.99  2008/09/30 10:25:46  hawk
- release 5

Revision 1.98  2008/07/23 15:15:56  hawk
- release 4

Revision 1.97  2008/07/08 14:39:11  megabajt
- required xulrunner-devel >= 1.9-5 to build

Revision 1.96  2008/07/08 14:36:20  megabajt
- added -libxul.patch to fix build with xulrunner 1.9
- release 3

Revision 1.95  2008/06/28 20:07:18  arekm
- release 2

Revision 1.94  2008-05-28 20:10:45  megabajt
- updated to 0.19.1

Revision 1.93  2008-04-23 07:49:13  hawk
- release 4

Revision 1.92  2008-03-27 21:04:22  hawk
- release 3 (xulrunner 1.8.1.13)

Revision 1.91  2008-02-08 19:49:52  hawk
- release 2 (xulrunner 1.8.1.12)

Revision 1.90  2008-02-07 16:27:36  megabajt
- updated deps
- added X11 to Group in libs,devel,static subpackages
- more verbose files

Revision 1.89  2008-02-07 13:51:17  patrys
- 0.19
- deps need review

Revision 1.88  2008-02-06 15:13:59  patrys
- 0.18

Revision 1.87  2008-01-07 19:32:21  megabajt
- updated to 0.17
- more verbose files

Revision 1.86  2007-12-02 12:39:32  hawk
- release 6 (xulrunner 1.8.1.11)

Revision 1.85  2007-11-27 20:00:17  megabajt
- release 5 (xulrunner 1.8.1.10)

Revision 1.84  2007-11-10 15:53:16  megabajt
- use better way to fix locale name
- release 4

Revision 1.83  2007/11/03 23:28:11  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.82  2007/10/22 19:31:59  megabajt
- release 2 (xulrunner 1.8.1.8)

Revision 1.81  2007/10/08 15:06:04  megabajt
- updated to 0.16.1

Revision 1.80  2007/09/18 17:33:46  baggins
- rel 3

Revision 1.79  2007/09/18 10:27:06  patrys
- require new libwnck

Revision 1.78  2007/09/10 19:08:00  megabajt
- updated to 0.16

Revision 1.77  2007/08/05 17:33:02  twittner
- rel. 3 to rebuild with xulrunner 1.8.1.6-20070731

Revision 1.76  2007/07/20 09:13:44  twittner
- rel. 2 to rebuild with new xulrunner (xulrunner-1.8.1.5-1.20070718.1)

Revision 1.75  2007/06/18 21:01:10  megabajt
- updated to 0.15

Revision 1.74  2007/06/02 18:07:30  megabajt
- release 2 (rebuild with xulrunner 1.8.1.4)

Revision 1.73  2007/05/15 20:12:35  megabajt
- updated to 0.14
- desktop patch is applied upstream

Revision 1.72  2007/04/22 11:38:36  megabajt
- don't require libxpcom.so
- release 4

Revision 1.71  2007/03/23 17:47:44  megabajt
- release 3 to rebuild with xulrunner 1.8.1.3

Revision 1.70  2007/03/11 12:14:48  megabajt
- run %update_desktop_database_post{,un}

Revision 1.69  2007/02/26 16:06:33  megabajt
- use %requires_eq_to (xulrunner can be not installed on builders)
- release 2

Revision 1.68  2007/02/17 13:52:22  megabajt
- updated to 0.13

Revision 1.67  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.65  2007/01/25 13:11:41  hawk
- firefox-devel is no longer provided, build with xulrunner

Revision 1.64  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.63  2006/10/14 11:00:02  megabajt
- R(post,postun): hicolor-icon-theme

Revision 1.62  2006/10/01 09:15:15  megabajt
- rel. 5 to rebuild with new firefox

Revision 1.61  2006/08/12 08:30:21  freetz
- rel.4, fixed summaries and descriptions, update icon cache, use HEAD deps
  dropped obsolete mozilla 1.7.x support, remove unneeded files

Revision 1.60  2006/08/10 07:26:32  zboczuch
- pl fix

Revision 1.59  2006/08/07 14:09:53  qboosh
- don't own hicolor dirs

Revision 1.58  2006/08/07 14:06:19  qboosh
- cleanup, missing dir

Revision 1.57  2006/07/31 08:59:58  zboczuch
- gedit plugin needs devhelp currently - dbus support with devhelp-libs
  will come soon (according to comments in code)

Revision 1.56  2006/07/31 08:56:26  zboczuch
- added subpackage with pligin for gedit2

Revision 1.55  2006/07/31 07:50:23  zboczuch
- up to 0.12 (back to url on gnome.org)
- desktop icon in icons directory, not pixmaps
- no error with 'no' locales more
- works fine with both mozilla and firefox backends
- rel. 1

Revision 1.54  2006/06/08 12:21:18  zboczuch
- up to 0.11 (url changed)
- mozilla.patch already present in source
- aclocal include added
- doesn't work when build against mozilla 1.7 (segfault), works with firefox, rel. 0.1

Revision 1.53  2005/10/02 19:58:38  arekm
- rel 2

Revision 1.52  2005/05/19 10:57:23  paladine
- simpler mozilla-firefox requiers

Revision 1.51  2005/05/19 09:19:36  paladine
- added mozilla firefox bcond

Revision 1.50  2005/05/09 08:40:28  paladine
- read NEWS !, devhelp 0.10 doesn't depend on libgnomeui

Revision 1.49  2005/05/08 21:49:49  aredridel
- up to 0.10

Revision 1.48  2005/04/13 22:54:33  paladine
- new style macros
- don't package gnome-mime-data stuff
- rel. 5

Revision 1.47  2005/03/27 13:15:16  paladine
- proper license
- gpm-friendly Source0 URL
- missing BR: pkgconfig
- require newer stuff

Revision 1.46  2005/03/20 17:54:27  aflinta
- rebuild with howl 0.9.10, release 4

Revision 1.45  2005/01/13 14:37:57  hawk
- release++ to rebuild with new mozilla

Revision 1.44  2004/11/17 10:53:47  paladine
- added desktop patch
- rel 2

Revision 1.43  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.42  2004/11/01 17:14:35  grzegol
- updated to 0.9.3
- removed outdated mozilla_home patch
- added mozilla and mozilla_includes patches (buildfixes)

Revision 1.41  2004/09/27 20:40:26  grzegol
- updated to 0.9.2
- removed locale-names patch and remove no locale in %%install

Revision 1.40  2004/09/17 11:24:18  aflinta
- rebuild with mozilla, release 3

Revision 1.39  2004/09/15 18:24:36  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.38  2004/08/17 14:55:30  ankry
- rel. 2 to rebuild

Revision 1.37  2004/07/26 00:21:22  grzegol
- updated to 0.9.1
- added %%define _noautoreqdep libgtkembedmoz.so libxpcom.so

Revision 1.36  2004/07/20 05:11:29  ankry
- rel. 4

Revision 1.35  2004/06/18 07:53:14  aflinta
- release 3 to rebuild with mozilla 1.7

Revision 1.34  2004/04/12 13:31:18  grzegol
- merged 0.9 from DEVEL

Revision 1.33.2.2  2004/03/20 22:40:05  grzegol
- added mozilla_home patch (set MOZILLA_HOME to /usr/lib/mozilla)
- more strict mozilla require
- rel. 2

Revision 1.33.2.1  2004/03/17 12:17:06  grzegol
- updated to 0.9 (on DEVEL, because it requires gtk+ >= 2.3.1)
- removed outdated enable-deprecated patch
- added BR: mozilla-devel (devhelp, from now, doesn't support libgtkhtml
  it uses gecko for rendering)
- added %%post/%%postun %%gconf_schema_install

Revision 1.33  2004/02/13 13:49:53  grzegol
- added locale-names patch (no -> nb)
- added -libs subpackage with libdevhelp library
- updated BRs, Rs

Revision 1.32  2004/02/13 13:43:10  aflinta
- and fast upgrade to version 0.8.1

Revision 1.31  2004/02/13 13:38:25  aflinta
- up to version 0.8, added devel and static subpackages

Revision 1.30  2004/01/19 13:29:21  trojan
- added enable-deprecated patch (for allow build with gtk+2 >= 2.3)
- added lt/am/ac regeneration (with proper BR)

Revision 1.29  2004/01/09 12:36:43  jajcus
- Release: 3
- refresh config.sub (for AMD64)

Revision 1.28  2003/12/07 12:53:32  krzak
- URL update

Revision 1.27  2003/11/19 17:26:19  qboosh
- pl fix, reverted BR (devhelp doesn't use xft, it's only gtk dependency)

Revision 1.26  2003/11/19 15:58:30  twittner
- BR: xft-devel added.

Revision 1.25  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.23  2003/07/07 13:14:26  qboosh
- missing dir, removed useless .a and .la

Revision 1.22  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.21  2003/06/29 18:29:26  aflinta
- version 0.7

Revision 1.20  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:46:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/25 08:53:29  aflinta
- updated to version 0.6.0

Revision 1.17  2003/03/06 11:58:03  trojan
- added bookdir patch
- removed ac regeneration

Revision 1.16  2003/03/06 11:03:51  trojan
- added desktop patch

Revision 1.15  2003/03/06 10:19:03  trojan
- updated to 0.5.0

Revision 1.14  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.13  2002/08/31 02:22:30  maryush
- updated to 0.4

Revision 1.12  2002/06/27 15:20:40  wrobell
- fixed build requirements (credits to Jarosław Kruk)

Revision 1.11  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/20 14:21:59  trojan
- typo

Revision 1.9  2002/05/14 19:09:25  qboosh
- removed some unwanted dirs from package
- added %%{_datadir}/devhelp/{books,specs} dirs (for DevHelp books)

Revision 1.8  2002/04/29 08:58:42  blues
- use normal configure macro (regenerated ac stuff)
- sort BR

Revision 1.7  2002/04/28 18:21:03  maryush
- fix one invalid file path

Revision 1.6  2002/04/28 18:01:00  maryush
- fix some permission errors

Revision 1.4  2002/04/25 16:10:44  arturs
fixed a small typo

Revision 1.3  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/06 22:36:16  misiek
- almost raw
